use 5.12.0;
use Cwd;

my ($pwd, $d, $textEditor) = (cwd(), "\\");
if ($^O eq "darwin" || $^O eq "linux") {$d = "/"}

GetUserDefaults();

my $files = "";

open(IN, "Temp${d}mismatched_snippets.html") or die "$!\nTemp${d}mismatched_snippets.html";

	while (<IN>) {
		chomp;
	#	say $_;
		if (/<p><b>(.*)<\/b><\/p>/) {
			unless ($files =~ /$1/) {
				#$files .= "$1 " unless $^O eq "linux";
				#$files .= "$textEditor $1 &\n" if $^O eq "linux";
				$files .= "$1 "
			}
		}
	}
	
close IN;

say "\$textEditor \$files: $textEditor $files";

if ($^O eq "darwin" || $^O eq "MSWin32" || $^O eq "MSWin64") {system ($textEditor $files)}
elsif ($^O eq "linux") {system ("$textEditor $files &")}

sub GetUserDefaults {
	my $defaults_file;
	if ($^O eq "linux") {
		$defaults_file = "User${d}User_defaults.linux.txt"
	} elsif ($^O eq "darwin") {
#		$defaults_file = "User${d}User_defaults.mac.txt"
		$defaults_file = "User${d}User_defaults.mac.txt"
	} elsif ($^O eq "MSWin32" || $^O eq "MSWin64") {
		$defaults_file = "User${d}User_defaults.windows.txt"
	}
	
	open (my $defaults, "<:utf8", $defaults_file) or die "$defaults_file:\n$!";
	
		while (my $thisLine = <$defaults>) {
			chomp $thisLine;
			if ($thisLine =~ /^Text editor: (.*)$/) {
				$textEditor = $1;
			}
		}
		
		if ($^O eq "darwin") {$textEditor = "open -a $textEditor"}
		#if ($^O eq "linux") {$textEditor = "$textEditor"}
		if ($^O eq "MSWin32" || $^O eq "MSWin64") {$textEditor = "START \"\" $textEditor"}
	close $defaults;
	die "No text editor found" if $textEditor eq "";

}

