# Called by Mark_omits_in_Exceptions_and_Consistent_Deletes.sh
# Marks successive instances of Strong's number in Exceptions file
# as skipped and adds number to Consistent deletes file for
# appropriate testament.

use 5.12.0;
use File::Slurp;
use FindBin '$Bin';
use utf8;
#use open IN => ":utf8", OUT => ":utf8";
use open IO => ":utf8";

my %bookName;
my ($book, $sn);
while (<DATA>) {
	chomp;
	if (/^(.*)$/) {
		$bookName{$1} = $1
	}
}

my $fileText = read_file("$Bin/Temp/Workdata.tmp", binmode => 'utf8');
#say "|$fileText|";
if ($fileText =~ /^([^:]*) \d+:\d+ ([HG]\d+)/) {
	($book, $sn) = ($1, $2);
	say "\$book: $book, \$sn: $sn";
}

#my ($exceptions_file, $deletes_file, $outText) = ("$Bin/Exceptions/Exceptions_tWs_from_MAST_NT.txt", "$Bin/Exceptions/Consistent_Deletes.NT.txt", "");
my ($exceptions_file, $deletes_file, $outText) = ("$Bin/Exceptions/Exceptions.txt", "$Bin/Exceptions/Consistent_Deletes.txt", "");

unless (exists $bookName{$book}) {
	$exceptions_file = "$Bin/Exceptions/Exceptions.txt";
	$deletes_file = "$Bin/Exceptions/Consistent_Deletes.txt"
	#$exceptions_file = "$Bin/Exceptions/Exceptions_tWs_from_MAST_HB.txt";
	#$deletes_file = "$Bin/Exceptions/Consistent_Deletes.OT.txt"
}

say "\$exceptions_file: $exceptions_file\n\$deletes_file: $deletes_file\n^($book [^\\t\\n]*\\t$sn)\$";

open (my $file, "<:utf8", "$exceptions_file") or die "$exceptions_file:\n$!";

	while (my $thisLine = <$file>) {
		chomp $thisLine;
		if ($thisLine =~ s/^([^\t\n]*\t$sn)$/$1\t||/) {
#		if ($thisLine =~ s/^($book [^\t\n]*\t$sn)$/$1\t||/) {
			say "Found $thisLine";
		}
		$outText .= "$thisLine\n";
	}

close $file;

say "Working in $exceptions_file.";

open OUT, ">$exceptions_file" or die;
	say OUT "$outText";
close OUT;

$fileText = read_file("$deletes_file", binmode => 'utf8') or die;

$fileText =~ s/$/$sn\n/;

say "Working in $deletes_file.";

open OUT, ">$deletes_file";
	print OUT "$fileText";
close OUT;

__DATA__
Matthew
Mark
Luke
John
Acts
Romans
1 Corinthians
2 Corinthians
Galatians
Ephesians
Philippians
Colossians
1 Thessalonians
2 Thessalonians
1 Timothy
2 Timothy
Titus
Philemon
Hebrews
James
1 Peter
2 Peter
1 John
2 John
3 John
Jude
Revelation
