#!/bin/sh
# Reads line from Exceptions file pasted in at command line prompt.
# Calls Mark_omits_in_Exceptions_and_Consistent_Deletes.pl, which
# marks successive instances of Strong's number in Exceptions file
# as skipped and adds number to Consistent deletes file for
# appropriate testament.
# Is called by Run_Obviate.scrpt (Command + F3 from BBEDit on Mac)

echo "\nLine from Exceptions file\n\n\t"
read string
echo $string > Temp/Workdata.tmp

if [[ $string =~ ([^:]*[a-z])[[:space:]][0-9]*:[0-9]*.([HG][0-9]*) ]]; then 
    book=${BASH_REMATCH[1]}
    strong=${BASH_REMATCH[2]}
fi

echo Marking all instances of $strong in the exceptions file.
perl Mark_omits_in_Exceptions_and_Consistent_Deletes.pl $book $strong
#echo Marking all instances of $strong in $book in the exceptions file.
#perl Mark_omits_in_Exceptions_and_Consistent_Deletes.pl $book $strong
